Name:           perl-App-perlimports
Version:        0.000054
Release:        %autorelease
Summary:        A command line utility for cleaning up imports in your Perl code

License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/dist/App-perlimports
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/App-perlimports-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter >= 5.18
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Class::Inspector) >= 1.36
BuildRequires:  perl(Cpanel::JSON::XS)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Data::UUID)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::XDG) >= 1.01
BuildRequires:  perl(File::pushd)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Getopt::Long::Descriptive)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Log::Dispatch) >= 2.70
BuildRequires:  perl(Log::Dispatch::Array)
BuildRequires:  perl(Memoize)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Moo)
BuildRequires:  perl(Moo::Role)
BuildRequires:  perl(MooX::StrictConstructor)
BuildRequires:  perl(PPI) >= 1.276
BuildRequires:  perl(PPI::Document)
BuildRequires:  perl(PPI::Dumper)
BuildRequires:  perl(PPIx::Utils::Classification)
BuildRequires:  perl(Path::Iterator::Rule)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Perl::Tidy) >= 20220613
BuildRequires:  perl(Pod::Usage)
BuildRequires:  perl(Ref::Util)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Sereal::Decoder)
BuildRequires:  perl(Sereal::Encoder)
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(Sub::HandlesVia)
BuildRequires:  perl(Symbol::Get) >= 0.10
BuildRequires:  perl(TOML::Tiny) >= 0.16
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Needs)
BuildRequires:  perl(Test::RequiresInternet)
BuildRequires:  perl(Test::Script) >= 1.29
BuildRequires:  perl(Test::Warnings)
BuildRequires:  perl(Text::Diff)
BuildRequires:  perl(Text::SimpleTable::AutoWidth)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(Types::Standard)

Requires:  perl(File::XDG)
Requires:  perl(Symbol::Get)
Requires:  perl(TOML::Tiny)

%{?perl_default_filter}


%description
This distribution provides the perlimports command line interface (CLI),
which automates the cleanup and maintenance of Perl use and require
statements. Loosely inspired by goimports, this tool aims to be part of
your linting and tidying workflow, in much the same way you might use
perltidy or perlcritic.


%prep
%autosetup -n App-perlimports-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%license LICENSE
%doc CONTRIBUTORS
%doc Changes
%doc README.md
%{perl_vendorlib}/*
%exclude %dir %{perl_vendorarch}/auto/
%{_bindir}/dump-perl-exports
%{_bindir}/perlimports
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
%autochangelog
